<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.salary.mapper.TAuditCopyInfoMapper">

	<resultMap id="tAuditCopyInfoMap" type="com.yifu.cloud.plus.v1.yifu.salary.entity.TAuditCopyInfo">
		<id property="id" column="id"/>
		<result property="auditUserId" column="audit_user_id"/>
		<result property="auditUser" column="audit_user"/>
		<result property="domainId" column="domain_id"/>
		<result property="createTime" column="create_time"/>
		<result property="flowId" column="flow_id"/>
		<result property="nodeId" column="node_id"/>
		<result property="deleteFlag" column="delete_flag"/>
		<result property="nodeName" column="node_name"/>
		<result property="auditType" column="audit_type"/>
		<result property="preFlag" column="pre_flag"/>
		<result property="submitMan" column="submit_man"/>
		<result property="submitManName" column="submit_man_name"/>
		<result property="submitCreateTime" column="submit_create_time"/>
	</resultMap>
	<sql id="Base_Column_List">
                a.id,
                a.audit_user_id,
                a.audit_user,
                a.domain_id,
                a.create_time,
                a.flow_id,
                a.node_id,
                a.delete_flag,
                a.node_name,
                a.audit_type,
                a.pre_flag,
                a.submit_man,
                a.submit_man_name,
                a.submit_create_time
    </sql>
	<sql id="tAuditCopyInfo_where">
		<if test="tAuditCopyInfo != null">
			<if test="tAuditCopyInfo.id != null and tAuditCopyInfo.id.trim() != ''">
				AND a.id = #{tAuditCopyInfo.id}
			</if>
			<if test="tAuditCopyInfo.auditUserId != null and tAuditCopyInfo.auditUserId.trim() != ''">
				AND a.audit_user_id = #{tAuditCopyInfo.auditUserId}
			</if>
			<if test="tAuditCopyInfo.auditUser != null and tAuditCopyInfo.auditUser.trim() != ''">
				AND a.audit_user = #{tAuditCopyInfo.auditUser}
			</if>
			<if test="tAuditCopyInfo.domainId != null and tAuditCopyInfo.domainId.trim() != ''">
				AND a.domain_id = #{tAuditCopyInfo.domainId}
			</if>
			<if test="tAuditCopyInfo.createTime != null">
				AND a.create_time = #{tAuditCopyInfo.createTime}
			</if>
			<if test="tAuditCopyInfo.flowId != null and tAuditCopyInfo.flowId.trim() != ''">
				AND a.flow_id = #{tAuditCopyInfo.flowId}
			</if>
			<if test="tAuditCopyInfo.nodeId != null and tAuditCopyInfo.nodeId.trim() != ''">
				AND a.node_id = #{tAuditCopyInfo.nodeId}
			</if>
			<if test="tAuditCopyInfo.deleteFlag != null and tAuditCopyInfo.deleteFlag.trim() != ''">
				AND a.delete_flag = #{tAuditCopyInfo.deleteFlag}
			</if>
			<if test="tAuditCopyInfo.nodeName != null and tAuditCopyInfo.nodeName.trim() != ''">
				AND a.node_name = #{tAuditCopyInfo.nodeName}
			</if>
			<if test="tAuditCopyInfo.auditType != null and tAuditCopyInfo.auditType.trim() != ''">
				AND a.audit_type = #{tAuditCopyInfo.auditType}
			</if>
			<if test="tAuditCopyInfo.preFlag != null and tAuditCopyInfo.preFlag.trim() != ''">
				AND a.pre_flag = #{tAuditCopyInfo.preFlag}
			</if>
			<if test="tAuditCopyInfo.submitMan != null and tAuditCopyInfo.submitMan.trim() != ''">
				AND a.submit_man = #{tAuditCopyInfo.submitMan}
			</if>
			<if test="tAuditCopyInfo.submitManName != null and tAuditCopyInfo.submitManName.trim() != ''">
				AND a.submit_man_name = #{tAuditCopyInfo.submitManName}
			</if>
			<if test="tAuditCopyInfo.submitCreateTime != null">
				AND a.submit_create_time = #{tAuditCopyInfo.submitCreateTime}
			</if>
		</if>
	</sql>

</mapper>
